# Class TimeJELFunction.TimeResolver

java.lang.Object
gnu.jel.DVMap
uk.ac.starlink.ttools.plot2.geom.TimeJELFunction.TimeResolver

Enclosing class:
  `TimeJELFunction`

public static class TimeJELFunction.TimeResolver extends gnu.jel.DVMap
This public class is an implementation detail, not intended for external use.

Since:
  15 Dec 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TimeResolver()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getDoubleProperty(String name)`
`String`
`getTypeName(String name)`

### Methods inherited from class gnu.jel.DVMap

`translate`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeResolver

public TimeResolver()

## Method Details

### getTypeName

public String getTypeName(String name)

Specified by:
  `getTypeName` in class `gnu.jel.DVMap`

### getDoubleProperty

public double getDoubleProperty(String name)